Qt 5.6 | Qt GUI | C++ Classes | QWindowStateChangeEvent

Qt 5.6.2 Reference Documentation

# QWindowStateChangeEvent Class

The QWindowStateChangeEvent class provides the window state before a window state change. More...

Header: | #include <QWindowStateChangeEvent>
qmake: | QT += gui

- List of all members, including inherited members

## Public Functions

Qt::WindowStates | oldState() const

## Detailed Description

The QWindowStateChangeEvent class provides the window state before a window state change.

## Member Function Documentation

### Qt::WindowStates QWindowStateChangeEvent::oldState() const

Returns the state of the window before the change.